/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");
         sym.$("button3").removeClass("Stage_button3_id");
         sym.$("button2").removeClass("Stage_button2_id");
         sym.$("button").removeClass("Stage_button_id");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button}", "click", function(sym, e) {
         
         var miClass=sym.$("button").attr("class");
         var classAire=sym.$("button2").attr("class");
         var classAlimento=sym.$("button3").attr("class");
         console.log("agua "+miClass);
         console.log("aire "+classAire);
         if(miClass=="activo"){
         	//acciones del boton
         	sym.$("button").removeClass("activo");
         	sym.$("button").addClass("inactivo");
         	//acciones del story
         	sym.getSymbol("scenario").$("Agua").fadeOut("slow");
         
         	sym.getSymbol("scenario").$("cochinealCopy2").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochinealCopy").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochineal").fadeOut("slow");
         
         	sym.getSymbol("scenario").$("muertas").fadeIn("slow");
         
         }
         if(miClass=="inactivo"){
         	//acciones del botton
         	sym.$("button").removeClass("inactivo");
         	sym.$("button").addClass("activo");
         	sym.getSymbol("scenario").$("Agua").fadeIn("slow");
         	//acciones del story
         	if(classAire=="activo"){
         		if(classAlimento=="activo"){
         			sym.getSymbol("scenario").$("cochinealCopy2").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochinealCopy").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochineal").fadeIn("slow");
         
         			sym.getSymbol("scenario").$("muertas").hide();
         		}
         	}
         }
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button2}", "click", function(sym, e) {
         
         var miClass=sym.$("button2").attr("class");
         var classAgua=sym.$("button").attr("class");
         var classAlimento=sym.$("button3").attr("class");
         console.log("aire "+miClass);
         console.log("agua "+classAgua);
         if(miClass=="activo"){
         	//acciones del boton
         	sym.$("button2").removeClass("activo");
         	sym.$("button2").addClass("inactivo");
         	//acciones del story
         	sym.getSymbol("scenario").getSymbol("flowers").stop(0);
         
         	sym.getSymbol("scenario").$("cochinealCopy2").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochinealCopy").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochineal").fadeOut("slow");
         
         	sym.getSymbol("scenario").$("muertas").fadeIn("slow");
         
         }
         if(miClass=="inactivo"){
         	//acciones del botton
         	sym.$("button2").removeClass("inactivo");
         	sym.$("button2").addClass("activo");
         	sym.getSymbol("scenario").getSymbol("flowers").play();
         	if(classAgua=="activo"){
         		if(classAlimento=="activo"){
         			sym.getSymbol("scenario").$("cochinealCopy2").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochinealCopy").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochineal").fadeIn("slow");
         
         			sym.getSymbol("scenario").$("muertas").hide();
         		}
         	}
         
         }

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button3}", "click", function(sym, e) {
         var miClass=sym.$("button3").attr("class");
         var classAgua=sym.$("button").attr("class");
         var classAire=sym.$("button2").attr("class");
         
         if(miClass=="activo"){
         	//acciones del boton
         	sym.$("button3").removeClass("activo");
         	sym.$("button3").addClass("inactivo");
         	// Ocultar un elemento 
         	sym.getSymbol("scenario").$("Comida").fadeOut("slow");
         
         	sym.getSymbol("scenario").$("cochinealCopy2").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochinealCopy").fadeOut("slow");
         	sym.getSymbol("scenario").$("cochineal").fadeOut("slow");
         
         	sym.getSymbol("scenario").$("muertas").fadeIn("slow");
         
         }
         if(miClass=="inactivo"){
         	//acciones del botton
         	sym.$("button3").removeClass("inactivo");
         	sym.$("button3").addClass("activo");
         	sym.getSymbol("scenario").$("Comida").fadeIn("slow");
         	if(classAgua=="activo"){
         		if(classAire=="activo"){
         			sym.getSymbol("scenario").$("cochinealCopy2").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochinealCopy").fadeIn("slow");
         			sym.getSymbol("scenario").$("cochineal").fadeIn("slow");
         
         			sym.getSymbol("scenario").$("muertas").hide();
         		}
         		//classAire
         	}
         
         }

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'cochineal'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("cochineal");
   //Edge symbol end:'cochineal'

   //=========================================================
   
   //Edge symbol: 'scenario'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10000, function(sym, e) {
         
         sym.play(2);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.$("muertas").hide();

      });
      //Edge binding end

   })("scenario");
   //Edge symbol end:'scenario'

   //=========================================================
   
   //Edge symbol: 'flowers'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("flowers");
   //Edge symbol end:'flowers'

   //=========================================================
   
   //Edge symbol: 'button'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_S_G2_U3_L2_01_01_buttons}", "click", function(sym, e) {
         sym.stop(500);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G2_U3_L2_01_01_buttonsCopy}", "click", function(sym, e) {
         sym.stop(0);
         

      });
      //Edge binding end

   })("button");
   //Edge symbol end:'button'

})(jQuery, AdobeEdge, "EDGE-5531445");